<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<application done="file_write">
  <instance component="ocpi.core.file_read" connect="splitter_xs">
    <property name="filename" value="input.bin"/>
  </instance>
  <instance component="ocpi.comp.sdr.interface.splitter_xs"/>
  <connection>
    <port instance="splitter_xs" name="output_1"/>
    <port instance="file_write_1" name="input"/>
  </connection>
  <instance component="ocpi.core.file_write" name="file_write_1">
    <property name="filename" value="output_1.bin"/>
  </instance>
  <connection>
    <port instance="splitter_xs" name="output_2"/>
    <port instance="file_write_2" name="input"/>
  </connection>
  <instance component="ocpi.core.file_write" name="file_write_2">
    <property name="filename" value="output_2.bin"/>
  </instance>
  <connection>
    <port instance="splitter_xs" name="output_3"/>
    <port instance="file_write_3" name="input"/>
  </connection>
  <instance component="ocpi.core.file_write" name="file_write_3">
    <property name="filename" value="output_3.bin"/>
  </instance>
  <connection>
    <port instance="splitter_xs" name="output_4"/>
    <port instance="file_write_4" name="input"/>
  </connection>
  <instance component="ocpi.core.file_write" name="file_write_4">
    <property name="filename" value="output_4.bin"/>
  </instance>
</application>
